Subject: Compiler error messages with HP-UX GCC

From: [email-masked] (Ingar Cheung)
Date: Thu, 20 Aug 1998 15:48:39 -0500

I have attempted to compile WU-FTPD 2.4.2 beta 18 on a HP-UX 10.10 system with 
little success.   I found that the cc compiler that comes with HP is crap and 
now I am attempting to compile with the gcc compiler.    Here are my errors 
messages.    Help!   Can someone assist?

Thanks,
Ingar Cheung
[email-masked]

# ./build CC=gcc hpx
make args are :
make opts are :  CC=gcc
 
Linking Makefiles.
 
Making support library.
        gcc -O   -c fnmatch.c
        gcc -O   -c strcasestr.c
        gcc -O   -c strsep.c
        gcc -O   -c getusershell.c
        gcc -O   -c snprintf.c
        rm -f libsupport.a
        ar cq libsupport.a fnmatch.o strcasestr.o strsep.o getusershell.o 
snprin
tf.o
        touch libsupport.a
 
Making ftpd.
        gcc -Aa -Dunix -D_HPUX_SOURCE -O +Onolimit -I.. -I../support 
+DAportable
  -c ftpd.c
gcc: +Onolimit: No such file or directory
gcc: +DAportable: No such file or directory
*Initialization*:1: missing token-sequence in `#assert'
In file included from /usr/include/hpsecurity.h:22,
                 from ftpd.c:249:
/usr/include/values.h:27: warning: `MAXINT' redefined
/opt/gcc/lib/gcc-lib/hppa1.0-hp-hpux10.10/2.7.2.1/include/sys/param.h:45: 
warnin
g: this is the location of the previous definition
*** Error exit code 1
 
Stop.
 
Making ftpcount.
        gcc -Aa -Dunix -D_HPUX_SOURCE -O +Onolimit -I.. -I../support 
+DAportable
  -o ftpcount ftpcount.c vers.o ../support/libsupport.a -lsec
gcc: +Onolimit: No such file or directory
gcc: +DAportable: No such file or directory
gcc: vers.o: No such file or directory
*Initialization*:1: missing token-sequence in `#assert'
*** Error exit code 1
 
Stop.
 
Making ftpshut.
        gcc -Aa -Dunix -D_HPUX_SOURCE -O +Onolimit -I.. -I../support 
+DAportable
  -o ftpshut ftpshut.c vers.o ../support/libsupport.a -lsec
gcc: +Onolimit: No such file or directory
gcc: +DAportable: No such file or directory
gcc: vers.o: No such file or directory
*Initialization*:1: missing token-sequence in `#assert'
*** Error exit code 1
 
Stop.
 
Making ckconfig.
        gcc -Aa -Dunix -D_HPUX_SOURCE -O +Onolimit -I.. -I../support 
+DAportable
  -o ckconfig ckconfig.c
gcc: +Onolimit: No such file or directory
gcc: +DAportable: No such file or directory
*Initialization*:1: missing token-sequence in `#assert'
*** Error exit code 1
 
Stop.
 
Links to executables are in bin directory:
size:  bin/ftpd:  cannot open
size:  bin/ftpcount:  cannot open
size:  bin/ftpshut:  cannot open
size:  bin/ftpwho:  cannot open
size:  bin/ckconfig:  cannot open
Done